Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Retrieve a list of files.
cURL
curl --request GET \ --url https://api.useinvent.com/orgs/files \ --header 'Authorization: Bearer <token>'
import requests url = "https://api.useinvent.com/orgs/files" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://api.useinvent.com/orgs/files', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.useinvent.com/orgs/files", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: Bearer <token>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.useinvent.com/orgs/files" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer <token>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://api.useinvent.com/orgs/files") .header("Authorization", "Bearer <token>") .asString();
require 'uri' require 'net/http' url = URI("https://api.useinvent.com/orgs/files") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer <token>' response = http.request(request) puts response.read_body
[ { "id": "<string>", "file_path": "<string>", "file_filename": "document.pdf", "file_size": 1024, "file_mimetype": "application/pdf", "file_url": "<string>", "created_at": "2023-11-07T05:31:56Z" } ]
Bearer token authentication using your API key
Page number
Number of items to take
Next page token (Only used on special endpoints)
Skip the total count: pagination-count is exact on the last page, and one more than the items so far while more pages exist (Only used on special endpoints)
Unique identifier for the file
Path to the file in the storage system
2048
Name of the file
255
"document.pdf"
Size of the file in bytes
1024
MIME type of the file
"application/pdf"
URL to access the file
Timestamp when the file was created
Was this page helpful?